package epson.print.phlayout;

import android.graphics.RectF;


public class AltRectF {
    float bottom;
    float left;
    float right;
    float top;

    public AltRectF() {
    }

    public AltRectF(@NonNull AltRect altRect) {
        left = (float) altRect.left;
        top = (float) altRect.top;
        right = (float) altRect.right;
        bottom = (float) altRect.bottom;
    }

    public AltRectF(float f, float f2, float f3, float f4) {
        left = f;
        top = f2;
        right = f3;
        bottom = f4;
    }

    private RectF getRectF() {
        return new RectF(this.left, top, right, bottom);
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int[] getIntVal() {
        return new int[]{(int) left, (int) top, (int) right, (int) bottom};
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        AltRectF altRectF = (AltRectF) obj;
        if (this.left == altRectF.left && top == altRectF.top && right == altRectF.right && bottom == altRectF.bottom) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return (int) (((float) (((int) (((float) (((int) (((float) (((int) left) * 31)) + top)) * 31)) + right)) * 31)) + bottom);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(32);
        sb.append("AltRectF(");
        sb.append(this.left);
        sb.append(PreferencesConstants.COOKIE_DELIMITER);
        sb.append(this.top);
        sb.append(PreferencesConstants.COOKIE_DELIMITER);
        sb.append(this.right);
        sb.append(PreferencesConstants.COOKIE_DELIMITER);
        sb.append(this.bottom);
        sb.append(")");
        return sb.toString();
    }
}
